%define mm_major 1
%define mm_minor 1.3
%define apache_version 1.3.23
%define sysconfdir /etc
%define apachecontent /var/www/html
%define apachebase %{sysconfdir}/httpd
%define apacheroot /var/www
%define oldapacheroot /home/httpd
%define apachelogs /var/log

%define name mod_antihak
%define version 0.3.1beta
%define srcver 0.3.1-beta
%define release 3mdk

Summary: Antihak module for Apache
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/apantihak/%{name}-%{srcver}.tar.bz2
Patch0: mod_antihak-iptables.patch.bz2
Patch1: mod_antihak-0.3.1-beta-apacheloc.patch.bz2
URL: http://apantihak.sourceforge.net/
License: GPL
Group: System/Servers
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

BuildRequires: apache = %{apache_version}
BuildRequires: apache-devel = %{apache_version}
Requires:	iptables sudo

%description
mod_antihak is an Apache Module designed to eliminate the CodeRed and Nimda
worm's network bandwidth consumption. We're working to make it as easy as
writing a line of text to add more worms! :)

%prep
%setup -q -n %name-%srcver
cd src; mv * .. ; cd .. ; rmdir src
pwd
%patch0 -p0
%patch1 -p2

%build
%serverbuild
%configure --with-apache=/usr/sbin
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/apache-extramodules
install mod_antihak/mod_antihak.so \
	$RPM_BUILD_ROOT/%{_libdir}/apache-extramodules
chmod 644 AUTHORS COPYING ChangeLog INSTALL NEWS TODO

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 = "1" ]; then 

if [ `fgrep "apache ALL= NOPASSWD: /sbin/iptables" /etc/sudoers | wc -l` = 0 ]
then
	echo "apache ALL= NOPASSWD: /sbin/iptables" >> /etc/sudoers
fi

#We're in Install mode, add module to the config files
for config in %{apachebase}/conf/{httpd,httpd-perl}.conf; do
	if [ -x %{_sbindir}/advxaddmod -a -e $config ]; then
		%{_sbindir}/advxaddmod $config \
		extramodules/mod_antihak.so mod_antihak.c antihak_module
	fi
done
if [ -x %{_sbindir}/AESctl ]; then %{_sbindir}/AESctl update;fi 
fi

if [ $1 -gt 1 ]; then 
#We're in *upgrade mode*. Since we can't be sure the configuration files
#are sane, remove module from the conf files to clean them, re-add again 
#in a way that the older module we're replacing won't try to erase (the 
#post scripts were broken on some packages), and finally clean the module
#specific config file so it's compatible with the upgrade.
for config in %{apachebase}/conf/{httpd,httpd-perl}.conf; do
	if [ -x %{_sbindir}/advxdelmod -a -e $config ]; then
		%{_sbindir}/advxdelmod $config \
		extramodules/mod_antihak.so mod_antihak.c antihak_module \
		$config
	fi
	if [ -x %{_sbindir}/advxaddmod -a -e $config ]; then
		%{_sbindir}/advxaddmod $config \
		extramodules/mod_antihak.so mod_antihak.c antihak_module
	fi
done
	if [ -x %{_sbindir}/AESctl ]; then %{_sbindir}/AESctl update; fi
fi

%postun
if [ $1 = "0" ]; then 

if [ `fgrep "apache ALL= NOPASSWD: /sbin/iptables" /etc/sudoers | wc -l` != 0 ]
then
	perl -pi -e "s|apache ALL= NOPASSWD: /sbin/iptables\n||" /etc/sudoers
fi


for config in %{apachebase}/conf/{httpd,httpd-perl}.conf; do
	if [ -x %{_sbindir}/advxdelmod -a -e $config ]; then
		%{_sbindir}/advxdelmod $config \
		extramodules/mod_antihak.so mod_antihak.c antihak_module
	fi
done
	if [ -x %{_sbindir}/AESctl ]; then %{_sbindir}/AESctl update;fi 
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS TODO
%{_libdir}/apache-extramodules/mod_antihak.so

%changelog
* Tue Feb 05 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.3.1beta-3mdk
- rebuild against new apache.
- give the right path for apxs (patch1).

* Tue Dec 25 2001 Stefan van der Eijk <stefan@eijk.nu> 0.3.1beta-2mdk
- fix bug in calling iptables
- fix %%post and %%postun

* Mon Dec 24 2001 Stefan van der Eijk <stefan@eijk.nu> 0.3.1beta-1mdk
- first Mandrake version
